SDL_SaveFile(3)

NAME
SDL_SaveFile - Save all the data into a file path.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

bool SDL_SaveFile(const char *file, const void *data, size_t datasize);

FUNCTION PARAMETERS

file
    the path to write all available data into.

data
    the data to be written. If datasize is 0, may be NULL or a invalid pointer.

datasize
    the number of bytes to be written.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SaveFile_IO(3), SDL_LoadFile(3)